//
//  UIWebViewTestViewController.m
//  UIWebViewTest
//
//  Created by Tom Horn on 16/10/09.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "UIWebViewTestViewController.h"

@implementation UIWebViewTestViewController

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	_webView = (UIWebView*)self.view;
	
	// load the url
	
	// FAIL
	//NSURL * newUrl = [[[NSURL alloc] initWithString:@"http://en.wikipedia.com"] autorelease];
	
	// OK
	NSURL * newUrl = [[[NSURL alloc] initWithString:@"http://www.stackoverflow.com"] autorelease];

	NSURLRequest * newUrlRequest = [NSURLRequest requestWithURL:newUrl];
	_webView.delegate = self;
	[_webView loadRequest:newUrlRequest];									
}

// delegate stuff
- (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(NSURLRequest *)req navigationType:(UIWebViewNavigationType)navigationType { return YES; }
- (void)webViewDidStartLoad:(UIWebView *)wv
{	
	// starting the load, show the activity indicator in the status bar
	[UIApplication sharedApplication].networkActivityIndicatorVisible = YES;
}

- (void)webViewDidFinishLoad:(UIWebView *)webView
{
	// finished loading, hide the activity indicator in the status bar
	[UIApplication sharedApplication].networkActivityIndicatorVisible = NO;
}

- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error
{
	// load error, hide the activity indicator in the status bar
	[UIApplication sharedApplication].networkActivityIndicatorVisible = NO;
	[_webView loadHTMLString:[[[NSString alloc] initWithFormat:@"Failed to load page %@", [error localizedDescription]] autorelease] baseURL:nil];
}

- (void)dealloc {
    [super dealloc];
}

@end
